<?php

namespace App\Models;

class PropertyRoomRate extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'property_room_rate';
    protected $appends = ['descriptionArray'];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    /**
     * @return mixed
     */

    function getDescriptionArrayAttribute()
    {
        $description = [];
        if (!empty($this->description)) {
            $description = json_decode($this->description, 1);
        }
        return $description;
    }

    public function propertyRoomRateInclusionMapping()
    {
        return $this->hasMany('App\Models\PropertyRoomRateInclusionMapping','room_rate_id', 'id')->select('id', 'room_rate_id', 'fact_id');
    }

    public function propertyRoomRateAccommodation()
    {
        return $this->hasOne('App\Models\PropertyFact', 'id', 'accommodation_type')->select('id', 'name', 'language_key');
    }
}
